<?php

/**
 * Tirreno ~ Open source user analytics
 * Copyright (c) Tirreno Technologies Sàrl (https://www.tirreno.com)
 *
 * Licensed under GNU Affero General Public License version 3 of the or any later version.
 * For full copyright and license information, please see the LICENSE
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Tirreno Technologies Sàrl (https://www.tirreno.com)
 * @license       https://opensource.org/licenses/AGPL-3.0 AGPL License
 * @link          https://www.tirreno.com Tirreno(tm)
 */

return [
    'Base_table_column_user_registered' => 'Signup date',
    'Base_table_column_user_registered_tooltip' => 'The date of user account creation in a client platform. If not set, the date of the first recorded user event.',
    'Base_table_column_userid' => 'User ID',
    'Base_table_column_userid_tooltip' => 'User identifier provided by a client platform.',
    'Base_table_column_user_firstname' => 'First name',
    'Base_table_column_user_firstname_tooltip' => 'A user’s first name.',
    'Base_table_column_user_lastname' => 'Last name',
    'Base_table_column_user_lastname_tooltip' => 'A user’s last name.',
    'Base_table_column_user_risk_score_and_email' => 'Trust score & email',
    'Base_table_column_user_risk_score_and_email_tooltip' => 'Displays two values. The trust score on the left side is a calculated per-user value. It ranges from 0 (lowest trust) to 99 (highest trust). The value on the right side is a user email provided by a client platform.',
    'Base_table_column_user_email' => 'Email',
    'Base_table_column_user_email_tooltip' => 'A user’s email address.',

    'Base_table_column_last_action_timestamp' => 'Timestamp',
    'Base_table_column_last_action_timestamp_tooltip' => 'The date and time of an event.',
    'Base_table_column_url' => 'URL',
    'Base_table_column_url_tooltip' => 'A reference to a resource requested on a client platform.',
    'Base_table_column_event_type' => 'Event type',
    'Base_table_column_event_type_tooltip' => 'A type of action performed.',
    'Base_table_column_suspicious_url' => 'Suspicious',
    'Base_table_column_suspicious_url_tooltip_resources' => 'URL matches with your suspicious words list.',

    'Base_table_column_total_users' => 'Users',
    'Base_table_column_total_users_tooltip_ips' => 'The total number of users associated with an IP address.',
    'Base_table_column_total_users_tooltip_countries' => 'The number of users with IP addresses geolocated to a country over the specified and preceding period.',
    'Base_table_column_total_users_tooltip_domains' => 'The total number of users with email addresses belonging to a domain.',
    'Base_table_column_total_users_tooltip_isps' => 'The number of ISP-associated users over the specified and preceding period.',
    'Base_table_column_total_users_tooltip_resources' => 'The number of users that requested a resource over the specified and preceding period.',
    'Base_table_column_total_users_tooltip_phones' => 'The total number of users associated with a phone number.',
    'Base_table_column_total_countries' => 'Countries',
    'Base_table_column_total_countries_tooltip_resources' => 'The number of countries from which a resource was requested over the specified and preceding period.',

    'Base_table_column_total_ips' => 'IPs',
    'Base_table_column_total_ips_tooltip_resources' => 'The number of unique IP addresses from which a resource was requested over the specified and preceding period.',
    'Base_table_column_total_ips_tooltip_countries' => 'The number of IP addresses geolocated to a country over the specified and preceding period.',
    'Base_table_column_total_ips_tooltip_isps' => 'The number of ISP-belonging IP addresses over the specified and preceding period.',

    'Base_table_column_total_actions' => 'Events',
    'Base_table_column_total_actions_tooltip_ips' => 'The number of requests from an IP address over the specified and preceding period.',
    'Base_table_column_total_actions_tooltip_users' => 'The total number of requests made by a user.',
    'Base_table_column_total_actions_tooltip_isps' => 'The number of ISP-related events over the specified and preceding period.',
    'Base_table_column_total_actions_tooltip_resources' => 'The number of requests made to a resource over the specified and preceding period.',
    'Base_table_column_total_actions_tooltip_countries' => 'The number of requests made from a country over the specified and preceding period.',
    'Base_table_column_total_actions_tooltip_devices' => 'The total number of requests made from this country.',

    'Base_table_column_ip' => 'IP',
    'Base_table_column_ip_tooltip' => 'An IP address associated with an event. Note that anonymizing services can hide the real IP address.',
    'Base_table_column_ip_type' => 'IP type',
    'Base_table_column_ip_type_tooltip' => 'A type of IP address. Non-residential addresses are considered a warning signal.',
    'Base_table_column_ip_spamlist' => 'Spam list',
    'Base_table_column_ip_spamlist_tooltip' => 'Someone may have utilized this IP address to exhibit unwanted activity before at other web services.',
    'Base_table_column_ip_blacklist' => 'Blacklisted',
    'Base_table_column_ip_blacklist_tooltip' => 'Whether IP addresses are in the blacklist.',
    'Base_table_column_ip_shared' => 'Shared IP',
    'Base_table_column_ip_shared_tooltip' => 'Multiple users detected on the same IP address.',
    'Base_table_column_ip_apple_relay' => 'Apple relay',
    'Base_table_column_ip_apple_relay_tooltip' => 'IP addresses belong to iCloud Private Relay, part of an iCloud+ subscription.',
    'Base_table_column_ip_tor' => 'TOR',
    'Base_table_column_ip_tor_tooltip' => 'IP addresses are assigned to The Onion Router network. Very few people use TOR, mainly used for anonymization and accessing censored resources.',
    'Base_table_column_ip_vpn' => 'VPN',
    'Base_table_column_ip_vpn_tooltip' => 'IP addresses are used to hide user\'s real location or to bypass regional blocking.',
    'Base_table_column_ip_datacenter' => 'Datacenter',
    'Base_table_column_ip_datacenter_tooltip' => 'IP addresses belong to ISP datacenter, which highly suggests the use of a VPN, script, or privacy software.',
    'Base_table_column_ip_country_tooltip' => 'Country identified by IP address.',

    'Base_table_column_country' => 'Country',
    'Base_table_column_country_tooltip' => 'An originating country of user request, geolocated by IP address.',
    'Base_table_column_country_tooltip_countries' => 'A country name.',
    'Base_table_column_country_code' => 'Code',
    'Base_table_column_country_code_tooltip' => 'A two-letter country code.',

    'Base_table_column_code' => 'Code',
    'Base_table_column_code_tooltip' => 'An HTTP response status code.',

    'Base_table_column_lastseen' => 'Last seen',
    'Base_table_column_lastseen_tooltip' => 'The date and time of the last event.',
    'Base_table_column_lastseen_tooltip_users' => 'The date and time of the last user request.',

    'Base_table_column_asn' => 'ASN',
    'Base_table_column_asn_tooltip' => 'An autonomous system number. Identifies a detected network.',
    'Base_table_column_netname' => 'Network operator',
    'Base_table_column_netname_tooltip' => 'An organization that provides network services.',
    'Base_table_column_device_name' => 'Type',
    'Base_table_column_device_name_tooltip' => 'A device type.',
    'Base_table_column_device_lang' => 'Language',
    'Base_table_column_device_lang_tooltip' => 'A detected preferred language.',
    'Base_table_column_device_created' => 'First seen',
    'Base_table_column_device_created_tooltip' => 'The date of device registration',
    'Base_table_column_modified' => 'Modified',
    'Base_table_column_modified_tooltip' => 'Whether a user agent string is identified as altered by a user.',

    'Base_table_column_browser' => 'Browser',
    'Base_table_column_browser_tooltip' => 'An identified browser.',
    'Base_table_column_os' => 'OS',
    'Base_table_column_os_tooltip' => 'An operating system of a device.',
    'Base_table_column_device_id' => 'ID',
    'Base_table_column_device_id_tooltip' => 'A device identifier.',
    'Base_table_column_device' => 'Device',
    'Base_table_column_device_tooltip' => 'A device type and operating system, based on a user agent.',

    'Base_table_column_email_spamlist' => 'Spam list',
    'Base_table_column_email_spamlist_tooltip' => 'Whether an email address is on a spam list.',
    'Base_table_column_email_blacklist' => 'Blacklisted',
    'Base_table_column_email_blacklist_tooltip' => 'Whether an email address is on a blacklist.',
    'Base_table_column_email_reputation' => 'Reputation',
    'Base_table_column_email_reputation_tooltip' => 'An email’s trust level, evaluated based on all available signals. The higher the number of warning signals, the lower the reputation of an email address.',
    'Base_table_column_email_free_provider' => 'Free provider',
    'Base_table_column_email_free_provider_tooltip' => 'Whether an email address belongs to a provider that offers free accounts.',
    'Base_table_column_email_noprofiles' => 'No profiles',
    'Base_table_column_email_noprofiles_tooltip' => 'The absence of online profiles associated with an email address may be a sign of a throwaway email. An email address with a good reputation is normally connected to digital platforms.',
    'Base_table_column_email_nodatabreach' => 'No breach',
    'Base_table_column_email_nodatabreach_tooltip' => 'The absence of a history of data breaches may be a sign of a throwaway email address.',
    'Base_table_column_email_total_breaches' => 'Total breaches',
    'Base_table_column_email_total_breaches_tooltip' => 'Number of data breaches where email has been compromised.',
    'Base_table_column_email_data_lacking' => 'Data lacking',
    'Base_table_column_email_data_lacking_tooltip' => 'The absence of a history of data breaches or online profiles may be a sign of a throwaway email address.',
    'Base_table_column_email_disposable' => 'Disposable',
    'Base_table_column_email_disposable_tooltip' => 'An email address is provided by a mail server with a low reputation.',
    'Base_table_column_email_earliest_breach' => 'Earliest breach',
    'Base_table_column_email_earliest_breach_tooltip' => 'The absence of a history of data breaches may be a sign of a throwaway email address.',

    'Base_table_column_user_phone' => 'Phone',
    'Base_table_column_user_phone_tooltip' => 'A user’s phone number.',

    'Base_table_column_phone_country_tooltip' => 'Country identified by a phone number.',
    'Base_table_column_phone_carrier_name' => 'Carrier',
    'Base_table_column_phone_carrier_name_tooltip' => 'A telecommunications company name.',
    'Base_table_column_phone_type' => 'Type',
    'Base_table_column_phone_type_tooltip' => 'A type of the phone service.',
    'Base_table_column_phone_blacklist' => 'Blacklisted',
    'Base_table_column_phone_blacklist_tooltip' => 'Whether a phone number is on a blacklist.',
    'Base_table_column_phone_invalid' => 'Invalid',
    'Base_table_column_phone_invalid_tooltip' => 'Whether a phone number format is invalid.',

    'Base_table_column_isps_name' => 'Network operator',
    'Base_table_column_isps_name_tooltip' => 'A company name.',

    'Base_table_column_domain' => 'Domain',
    'Base_table_column_domain_tooltip' => 'A domain of email address(es).',
    'Base_table_column_free_email_provider' => 'Free',
    'Base_table_column_free_email_provider_tooltip' => 'Whether a domain belongs to a provider that offers free accounts.',
    'Base_table_column_tranco_rank' => 'Ranking',
    'Base_table_column_tranco_rank_tooltip' => 'Popularity of a domain name.',
    'Base_table_column_unavailable' => 'Unavailable',
    'Base_table_column_unavailable_tooltip' => 'Whether a domain’s website is inactive. This can be a sign of a fake mailbox.',
    'Base_table_column_disposable' => 'Disposable',
    'Base_table_column_disposable_tooltip' => 'Whether a domain is identified as associated with throwaway email addresses.',
    'Base_table_column_domain_registered' => 'Creation',
    'Base_table_column_domain_registered_tooltip' => 'The date of a domain creation.',
    'Base_table_column_domain_expires' => 'Expires on',
    'Base_table_column_domain_expires_tooltip' => 'The date of a domain expiration.',
    'Base_table_column_domain_total_accounts' => 'Total accounts',
    'Base_table_column_domain_total_accounts_tooltip' => 'The total number of users that have an email with current domain.',
    'Base_table_column_domain_spamlist' => 'Spam list',
    'Base_table_column_domain_spamlist_tooltip' => 'Whether a domain name is on a spam list.',

    'Base_table_column_reviewed_status' => 'Review status',
    'Base_table_column_reviewed_status_short' => 'Status',
    'Base_table_column_reviewed_status_tooltip' => 'A user can be blacklisted or whitelisted. For putting a user on a list, open a user page (by clicking on a table row) and then use the corresponding button in the upper-right corner of the interface.',
    'Base_table_column_action_buttons' => 'Review status',
    'Base_table_column_total_fraud_users' => 'Blacklisted',
    'Base_table_column_total_fraud_users_tooltip' => 'The total number of blacklisted users.',
    'Base_table_column_latest_decision' => 'Latest decision',
    'Base_table_column_latest_decision_tooltip' => 'The date of the last user review.',

    'Base_table_column_isps_description' => 'Description',
    'Base_table_column_isps_description_tooltip' => 'An ISP description.',

    'Base_table_column_global_alert' => 'Global alert',
    'Base_table_column_global_alert_tooltip' => 'Is on alert list.',

    'Base_table_column_error_type' => 'Status',
    'Base_table_column_error_type_tooltip' => 'A request processing status.',
    'Base_table_column_error_text' => 'Description',
    'Base_table_column_error_text_tooltip' => 'An error message returned by an unsuccessful request processing.',
    'Base_table_column_event_timestamp' => 'Timestamp',
    'Base_table_column_event_timestamp_tooltip' => 'The date and time passed in the eventTime field of an API request.',
];
